From c885c4925e28a5f994e2a9ec73c2c85bfaf32685 Mon Sep 17 00:00:00 2001
From: Vigneshwaran c <vignesh21@gmail.com>
Date: Sun, 4 Aug 2019 14:53:42 +0530
Subject: [PATCH] 	Unused header file removal

	Removed header files that are not needed
---
 src/backend/utils/mmgr/dsa.c              | 5 -----
 src/backend/utils/resowner/resowner.c     | 1 -
 src/backend/utils/sort/sharedtuplestore.c | 5 -----
 src/backend/utils/sort/sortsupport.c      | 1 -
 src/backend/utils/sort/tuplesort.c        | 5 -----
 src/backend/utils/sort/tuplestore.c       | 3 ---
 src/backend/utils/time/combocid.c         | 1 -
 src/backend/utils/time/snapmgr.c          | 5 -----
 8 files changed, 26 deletions(-)

diff --git a/src/backend/utils/mmgr/dsa.c b/src/backend/utils/mmgr/dsa.c
index 6590e55..0c7b8e2 100644
--- a/src/backend/utils/mmgr/dsa.c
+++ b/src/backend/utils/mmgr/dsa.c
@@ -50,11 +50,6 @@
 
 #include "postgres.h"
 
-#include "port/atomics.h"
-#include "storage/dsm.h"
-#include "storage/ipc.h"
-#include "storage/lwlock.h"
-#include "storage/shmem.h"
 #include "utils/dsa.h"
 #include "utils/freepage.h"
 #include "utils/memutils.h"
diff --git a/src/backend/utils/resowner/resowner.c b/src/backend/utils/resowner/resowner.c
index 7be11c4..84870ec 100644
--- a/src/backend/utils/resowner/resowner.c
+++ b/src/backend/utils/resowner/resowner.c
@@ -29,7 +29,6 @@
 #include "utils/memutils.h"
 #include "utils/rel.h"
 #include "utils/resowner_private.h"
-#include "utils/snapmgr.h"
 
 
 /*
diff --git a/src/backend/utils/sort/sharedtuplestore.c b/src/backend/utils/sort/sharedtuplestore.c
index 8f74e8d..42aaada 100644
--- a/src/backend/utils/sort/sharedtuplestore.c
+++ b/src/backend/utils/sort/sharedtuplestore.c
@@ -21,16 +21,11 @@
 
 #include "postgres.h"
 
-#include "access/htup.h"
 #include "access/htup_details.h"
-#include "miscadmin.h"
 #include "storage/buffile.h"
 #include "storage/lwlock.h"
-#include "storage/sharedfileset.h"
 #include "utils/sharedtuplestore.h"
 
-#include <limits.h>
-
 /*
  * The size of chunks, in pages.  This is somewhat arbitrarily set to match
  * the size of HASH_CHUNK, so that Parallel Hash obtains new chunks of tuples
diff --git a/src/backend/utils/sort/sortsupport.c b/src/backend/utils/sort/sortsupport.c
index 9a77121..8590810 100644
--- a/src/backend/utils/sort/sortsupport.c
+++ b/src/backend/utils/sort/sortsupport.c
@@ -17,7 +17,6 @@
 
 #include "access/nbtree.h"
 #include "catalog/pg_am.h"
-#include "fmgr.h"
 #include "utils/lsyscache.h"
 #include "utils/rel.h"
 #include "utils/sortsupport.h"
diff --git a/src/backend/utils/sort/tuplesort.c b/src/backend/utils/sort/tuplesort.c
index 7b8e678..bdf008c 100644
--- a/src/backend/utils/sort/tuplesort.c
+++ b/src/backend/utils/sort/tuplesort.c
@@ -94,10 +94,7 @@
 
 #include "postgres.h"
 
-#include <limits.h>
-
 #include "access/hash.h"
-#include "access/htup_details.h"
 #include "access/nbtree.h"
 #include "catalog/index.h"
 #include "catalog/pg_am.h"
@@ -111,8 +108,6 @@
 #include "utils/memutils.h"
 #include "utils/pg_rusage.h"
 #include "utils/rel.h"
-#include "utils/sortsupport.h"
-#include "utils/tuplesort.h"
 
 
 /* sort-type codes for sort__start probes */
diff --git a/src/backend/utils/sort/tuplestore.c b/src/backend/utils/sort/tuplestore.c
index 3fc7f92..b461b55 100644
--- a/src/backend/utils/sort/tuplestore.c
+++ b/src/backend/utils/sort/tuplestore.c
@@ -54,9 +54,6 @@
 
 #include "postgres.h"
 
-#include <limits.h>
-
-#include "access/htup_details.h"
 #include "commands/tablespace.h"
 #include "executor/executor.h"
 #include "miscadmin.h"
diff --git a/src/backend/utils/time/combocid.c b/src/backend/utils/time/combocid.c
index deb9af5..0b8931e 100644
--- a/src/backend/utils/time/combocid.c
+++ b/src/backend/utils/time/combocid.c
@@ -46,7 +46,6 @@
 #include "access/xact.h"
 #include "storage/shmem.h"
 #include "utils/combocid.h"
-#include "utils/hsearch.h"
 #include "utils/memutils.h"
 
 
diff --git a/src/backend/utils/time/snapmgr.c b/src/backend/utils/time/snapmgr.c
index 40fe6ed..7f4aff2 100644
--- a/src/backend/utils/time/snapmgr.c
+++ b/src/backend/utils/time/snapmgr.c
@@ -49,17 +49,12 @@
 #include <unistd.h>
 
 #include "access/subtrans.h"
-#include "access/transam.h"
 #include "access/xact.h"
-#include "access/xlog.h"
 #include "catalog/catalog.h"
-#include "lib/pairingheap.h"
 #include "miscadmin.h"
 #include "storage/predicate.h"
 #include "storage/proc.h"
 #include "storage/procarray.h"
-#include "storage/sinval.h"
-#include "storage/sinvaladt.h"
 #include "storage/spin.h"
 #include "utils/builtins.h"
 #include "utils/memutils.h"
-- 
1.8.3.1

